Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 890578 - 'nxsetup --install' fails after `nxsetup --uninstall --purge' is invoked
Summary: 'nxsetup --install' fails after `nxsetup --uninstall --purge' is invoked
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: freenx-server
Version: 17
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-27 23:18 UTC by Jim Fischer
Modified: 2013-07-31 18:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 18:35:36 UTC
Type: Bug


Attachments (Terms of Use)
RPM patch file that fixes the `nxsetup --install' script failures (511 bytes, application/octet-stream)
2012-12-27 23:18 UTC, Jim Fischer
no flags Details

Description Jim Fischer 2012-12-27 23:18:20 UTC
Created attachment 669714 [details]
RPM patch file that fixes the `nxsetup --install' script failures

Description of problem:
If a user uses the `nxsetup' script to a) uninstall and purge the default freenx server setup and b) re-install the freenx server setup, the install step fails.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-27

How reproducible:
Always.

Steps to Reproduce:
As root,
1. nxsetup --uninstall --purge
2. rm -f /etc/nxserver/*.key
3. nxsetup --install
  
Actual results:
1. The folder `/var/lib/nxserver/home/.ssh' is not created, and, obviously, neither are the files that populate this folder--i.e.,

authorized_keys
client.id_dsa.key
known_hosts
server.id_dsa.pub.key

2. The following files are not generated in folder `/etc/nxserver/':

client.id_dsa.key
passwords
passwords.orig
server.id_dsa.pub.key
users.id_dsa
users.id_dsa.pub


Expected results:
The aforementioned files/folders should be generated when the `--install' step is performed.

Additional info:
The corrective action to solve this problem is to modify the `nxsetup' script so that
1) The `userdel' (luserdel) program is passed the `-r' command line option (lines 443, 445), and,
2) The `passwd' program is passed the `-f' command line option when the script attempts to "unlock" the password for user `nx' (line 225).

See also the attached patch file.

Comment 1 Fedora End Of Life 2013-07-03 19:44:21 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2013-07-31 18:35:41 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.